Package: org.grails.web.gsp.io

## [Java] Class CachingGrailsConventionGroovyPageLocator

- org.grails.web.gsp.io.CachingGrailsConventionGroovyPageLocator

- Extends GrailsConventionGroovyPageLocator adding caching of the located GrailsPageScriptSource.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultGroovyPageLocator` | `PATH_TO_WEB_INF_VIEWS, pluginManager, reloadEnabled, resourceLoaders, warDeployed`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GroovyPageScriptSource` | `findPage(java.lang.String uri)`
    `` | `GroovyPageScriptSource` | `findPageInBinding(java.lang.String uri, TemplateVariableBinding binding)`
    `` | `GroovyPageScriptSource` | `findPageInBinding(java.lang.String pluginName, java.lang.String uri, TemplateVariableBinding binding)`
    `` | `long` | `getCacheTimeout()`
    `` | `protected GroovyPageScriptSource` | `lookupCache(CachingGrailsConventionGroovyPageLocator.GroovyPageLocatorCacheKey cacheKey, java.util.concurrent.Callable<GroovyPageScriptSource> updater)`
    `` | `void` | `removePrecompiledPage(GroovyPageCompiledScriptSource scriptSource)`
    `` | `void` | `setCacheTimeout(long cacheTimeout)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsConventionGroovyPageLocator` | `findTemplate, findTemplate, findTemplate, findTemplateByPath, findTemplateInBinding, findTemplateInBinding, findTemplateInBinding, findTemplateInBinding, findView, findView, findView, findView, findViewByPath, findViewForFormat, getNameForController, lookupRequestFormat, resolveViewFormat, setGrailsApplication, setMimeTypeResolver`
    `class DefaultGroovyPageLocator` | `addResourceLoader, createGroovyPageCompiledScriptSource, findBinaryScriptSource, findPage, findPageInBinding, findPageInBinding, findReloadablePage, findResource, findResource, findResourceInPlugins, findResourceScriptPathForSearchPaths, findResourceScriptSource, findResourceScriptSourceInPlugins, getPluginViewPathInfo, isReloadEnabled, removePrecompiledPage, removePrefix, removeViewLocationPrefixes, resolveContextPath, resolveContextPath, resolvePluginViewPath, resolveSearchPaths, resolveViewInBinaryPlugin, setApplicationContext, setPluginManager, setPrecompiledGspMap, setReloadEnabled, setResourceLoader`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public GroovyPageScriptSource findPage(java.lang.String uri)

    - #### @java.lang.Override public GroovyPageScriptSource findPageInBinding(java.lang.String uri, TemplateVariableBinding binding)

    - #### @java.lang.Override public GroovyPageScriptSource findPageInBinding(java.lang.String pluginName, java.lang.String uri, TemplateVariableBinding binding)

    - #### public long getCacheTimeout()

    - #### @java.lang.SuppressWarnings("rawtypes") protected GroovyPageScriptSource lookupCache(CachingGrailsConventionGroovyPageLocator.GroovyPageLocatorCacheKey cacheKey, java.util.concurrent.Callable<GroovyPageScriptSource> updater)

    - #### @java.lang.Override public void removePrecompiledPage(GroovyPageCompiledScriptSource scriptSource)

    - #### public void setCacheTimeout(long cacheTimeout)